Update a trigger template
curl --request POST \
--url https://api.pocketflows.com/trigger_templates/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"trigger_name": "<string>"
}
'import requests
url = "https://api.pocketflows.com/trigger_templates/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"trigger_name": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', trigger_name: '<string>'})
};
fetch('https://api.pocketflows.com/trigger_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"trigger": {
"id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"project_defined_event": "<string>",
"internal_event_definition": {
"segment": "<string>"
},
"steps": [
{
"type": "email",
"email_template_id": "<string>",
"custom_step_id": "<string>"
}
],
"filter": "<string>",
"email_address": "<string>",
"phone_number": "<string>",
"attributed_revenue": 123,
"metadata": {},
"statistics": {
"emails": {
"sent": 123,
"delivered": 123,
"opened": 123,
"soft_bounced": 123,
"hard_bounced": 123,
"spam_reported": 123,
"clicked": 123
},
"custom_steps": [
{
"custom_step": "<string>",
"sent": 123
}
],
"executions": {
"total": 123,
"pending": 123,
"started": 123,
"finished": 123,
"errored": 123
},
"sms": {
"sms_sent_count": 123,
"sms_sent_segments_count": 123,
"mms_sent_count": 123,
"mms_sent_segments_count": 123
},
"total_customers_enrolled": 123,
"total_customers_started": 123,
"total_customers_finished": 123
},
"trigger": "<string>"
},
"enabled": true
}Trigger templates
Update a trigger template
POST
/
trigger_templates
/
{id}
Update a trigger template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the trigger template
Body
application/json
Response
200 - application/json
The updated TriggerTemplate
The ID of the trigger template
The title of the trigger template
The description of the trigger template
The trigger that will get created when the trigger template is used as a base
Show child attributes
Show child attributes
Whether the trigger template is enabled
⌘I